Package net.rubygrapefruit.platform

# Interface ProcessLauncher

All Superinterfaces:
  `NativeIntegration`

All Known Implementing Classes:
  `DefaultProcessLauncher`, `WindowsProcessLauncher`, `WrapperProcessLauncher`

public interface ProcessLauncher extends NativeIntegration
Used to start processes, taking care of some platform-specific issues when launching processes concurrently or launching processes that will run in the background.

## Method Summary

Modifier and Type
Method
Description
`Process`
`start(ProcessBuilder processBuilder)`
Starts a process from the given settings.

## Method Details

### start

Process start(ProcessBuilder processBuilder) throws NativeException
Starts a process from the given settings.

Parameters:
  `processBuilder` - The process settings.
Returns:
  the process
Throws:
  `NativeException` - On failure to start the process.